<!--
  Generated template for the IncidenteListadoPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
  <ion-navbar color="primary">
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>
    <img src="./assets/imgs/blumar_logo.png" alt="" width="100" class="icono">
  </ion-navbar>
</ion-header>

<ion-content padding>
  <ion-grid>
    <ion-row>
      <ion-col col-3>
        Riesgo
      </ion-col>
      <ion-col col-3>
        Causa
      </ion-col>
      <ion-col col-3>
        Gravedad
      </ion-col>
      <ion-col col-3>
        Zona
      </ion-col>
    </ion-row>
    <ion-row *ngFor='let incidente of Incidentes' (click)="presentModal(incidente.Cod)">
      <ng-container *ngIf='incidente.EstadoPlan != 0'>
        <ion-col col-3 class="font">
          {{incidente.Motivo}}
        </ion-col>
        <ion-col col-3 class="font">
          {{incidente.Causa}}
        </ion-col>
        <ion-col col-3>
          <div *ngIf='incidente.Gravedad == 1' class="muylevelist"></div>
          <div *ngIf='incidente.Gravedad == 2' class="levelist"></div>
          <div *ngIf='incidente.Gravedad == 3' class="mediolist"></div>
          <div *ngIf='incidente.Gravedad == 4' class="altolist"></div>
          <div *ngIf='incidente.Gravedad == 5' class="muyaltolist"></div>
        </ion-col>
        <ion-col col-3 class="font">
          {{incidente.NombreZona}}
        </ion-col>
      </ng-container>
    </ion-row>
  </ion-grid>
</ion-content>